Subject: IPP> Re: Locating printers in LDAP

From: "Scott Isaacson" <[email-masked]>
Date: Fri, 06 Feb 1998 09:25:06 -0700

All,

Yes, the IPP work anticpates the use of directories.  In fact we used to have a separate I-D on a proposed generic directory schema for "Printer".  This was informed from many inputs -  X.500, OS/2, ISO DPA, SNMP Printer MIB, NDS, NDPS, etc.  However, we pulled that I-D into the latest IPP Model and Semantics document "ftp://ietf.org/internet-drafts/draft-ietf-ipp-model-09.txt" as an appendix.

At the original BOF for IPP we presented a proposed schema for Printers and suggested as part of the WG charter that we could define an LDAP specific realization of that schema.  However, that was shot down and specifically excluded from out charter.  Now that we have completed the work items for IPP/1.0, the WG should consider drafting an LDAP schema document.

The SLP WG has an I-D called  "ftp://ietf.org/internet-drafts/draft-ietf-svrloc-printer-scheme-01.txt" that defines a schema for Printers for SLP.   That documents shows attributes taken from the MIB, IPP, and Salutations.

Also note, the SLP I-D on "ftp://ietf.org/internet-drafts/draft-ietf-svrloc-template-conversion-02.txt"  So that one can translate between an LDAP schema and an SLP schema.

The strategy in the IPP group, was to take a strict subset of the more static and useful Printer object attributes (useful for end-user search filters) to define the directory entry schema.

Net-net:  The bulk of the work has been done, now we just need the final step to formally gen the LDAP schema and I believe the WG is ready for this now.

************************************************************
Scott A. Isaacson
Corporate Architect
Novell Inc., M/S PRV-C-121 
122 E 1700 S, Provo, UT 84606
voice: (801) 861-7366, (800) 453-1267 x17366
fax: (801) 861-2517
email: [email-masked]
web: http://www.novell.com
************************************************************

>>> Ed Reed 02/05 9:46 PM >>>
Let's see if the ipp group have any plans - I know that it anticipates
usage of directories...Scott?

Ed

-------------------
Ed Reed, Chief Architect
Network Services Group
Novell, Inc.
+1 801 861 3320

>>> Luke Howard <[email-masked]> 02/05/98 07:17PM >>>

Are there any proposed schema for representing printers (for
lpr and/or IPP) in LDAP? I recall reading a draft several
months ago (I think it was from IBM) but I can't seem to find
anything on the web.

-- Luke

--
        Luke Howard - [email-masked] - +1 (408) 974-7562
    Apple Computer, Inc. - Rhapsody Core Operating Systems Group
       2 Infinite Loop, Mail Stop 302-4K, Cupertino, CA 95014